Bug 708049

Summary: [Writer] Font colour bucket fill intermittent.
Product: [Fedora] Fedora Reporter: JO <jonorad>
Component: libreofficeAssignee: David Tardon <dtardon>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 15CC: caolanm, dtardon, ltinkl
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-07 15:50:46 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description JO 2011-05-26 12:04:47 EDT
Description of problem:
Font colour bucket fill has worked once in fifty attempts.
Alternate method of mousing over text then clicking on a colour is needed.

Version-Release number of selected component (if applicable):
Ver: 3.3.2.2-7.fc15

How reproducible:
Changing the colour of text in a document.

Steps to Reproduce:
1.Double click on font colour tab to get font palette.
2.Click on a colour and move pointer over text.
3.No bucket fill available - usually ( but it does work for highlighting).
  
Actual results:
Absent bucket fill most of the time

Expected results:
Bucket fill

Additional info:
Comment 1 David Tardon 2011-05-27 04:27:46 EDT
Good catch. Note that you can still activate the fill bucket by clicking on the font color button (before or after selecting color).
Comment 2 JO 2011-05-27 07:19:42 EDT
Thanks, i forgot about that, it does make things quicker than using mouse-over, now only requiring one further step than before.
Would be nice to be able to resize the palettes by the way, as mouse pointer movement seems rather unresponsive on my system now, although that is not a bug i suppose : )
Comment 3 David Tardon 2011-05-30 02:42:48 EDT
So this has been a deliberate change...
Comment 4 David Tardon 2011-05-30 02:56:33 EDT
IMHO the idea is good, but the implementation is not. That font coloring is active should be visualised by depressed button, like font weight/slant; this would also allow to turn it off. Currently just selecting a color makes it active and the only way to turn it off is to select "invisible" color. OTOH, pressing the button does not change color--it just activates the bucket fill mode...
Comment 5 JO 2011-05-30 04:48:01 EDT
So the removal of the secondary option of font bucket fill activation by clicking on a palette colour is a deliberate Libreoffice change and not a Fedora versioning bug ?
I guess you'll be taking this off the bug list then David, but would you offer a link where i could raise the issue with the Libreoffice developers ? This policy is slowing font colourization by about 20 % and there appear no benefits to me.
Comment 6 Fedora End Of Life 2012-08-07 15:50:48 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping